JOURNAL_FORCE_COMMIT(9)

NAME
journal_force_commit - force any uncommitted transactions

SYNOPSIS

int journal_force_commit(journal_t * journal);

ARGUMENTS

journal
    journal to force

FOR SYNCHRONOUS OPERATIONS

force any uncommitted transactions to disk. May seem kludgy, but it reuses all the handle batching code in a very simple manner.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT